Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
messagesimplelist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZForumMain", "Language" )
| $SimpleUserList = $ini->variable( "eZForumMain", "SimpleUserList" )
| $anonymous = $ini->variable( "eZForumMain", "AnonymousPoster" )
if(isset( $ProductID)) | else { $ListTemplate = "messagesimplelist.php"
| $t
| $forum = new eZForum( $ForumID )
| $locale = new eZLocale( $Language )
| $messageList =& $forum->messageTree( $Offset, $SimpleUserList )
| $messageCount =& $forum->messageCount()
| $i = 0
| $url = explode( "parent", $_SERVER['REQUEST_URI'] )

## Variable Documentation

## ◆ $anonymous

$anonymous = $ini->variable( "eZForumMain", "AnonymousPoster" )

Definition at line 44 of file messagesimplelist.php.

## ◆ $forum

$forum = new eZForum( $ForumID )

Definition at line 62 of file messagesimplelist.php.

## ◆ $i

$i = 0

Definition at line 83 of file messagesimplelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 40 of file messagesimplelist.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 42 of file messagesimplelist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 64 of file messagesimplelist.php.

## ◆ $messageCount

$messageCount =& $forum->messageCount()

Definition at line 70 of file messagesimplelist.php.

## ◆ $messageList

$messageList =& $forum->messageTree( $Offset, $SimpleUserList )

Definition at line 69 of file messagesimplelist.php.

## ◆ $SimpleUserList

$SimpleUserList = $ini->variable( "eZForumMain", "SimpleUserList" )

Definition at line 43 of file messagesimplelist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezforum/user/" . $ini->variable( "eZForumMain", "TemplateDir" ),
"kernel/ezforum/user/intl", $Language, "messagesimplelist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: messagesimplelist.php:42
$ini
$ini
Definition: messagesimplelist.php:40

Definition at line 51 of file messagesimplelist.php.

## ◆ $url

$url = explode( "parent", $_SERVER['REQUEST_URI'] )

Definition at line 158 of file messagesimplelist.php.

## ◆ else

if (! $messageList) else { $ListTemplate = "messagesimplelist.php"

Definition at line 48 of file messagesimplelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.